<?php
/**
* ============================================================
* simpleMultiUser
* ============================================================
* Version:    v1.0 beta 2
* Released:   27th December 2006
* Copyright:  Tillman Schuster, NMuD
* Email:      tischuster@nmud.de
* Website:    www.nmud.de
* ============================================================
*/


initvar('simpleMultiUser');
if ($simpleMultiUser) {
	
	global $sn,$sv,$sl,$pth,$plugin;
	
	$plugin=basename(dirname(__FILE__),"/");
	$admin = isset($_GET['admin']) ? $_GET['admin'] : '';
	$admin .= isset($_POST['admin']) ? $_POST['admin'] : '';
	
	$o.=print_plugin_admin('');
	
	// First page when loading the plugin
	if ($admin == '') {
		$o.='<br /><hr size="1" />
<font size = 3><strong>simpleMultiUser - Plugin</strong></font>
<hr size="1" />
Version: v1.0 beta 2<br />
Released: 27th December 2006<br />
Copyright: Tillman Schuster, NMuD<br />
Email:<a href="mailto:tischuster@nmud.de">&nbsp;tischuster@nmud.de</a><br />
Website: <a href="http://www.nmud.de/" target="_blank">&nbsp;www.nmud.de</a>
<hr size="1" />';
	}
	
	// CSS, CONFIG, LANGUAGE, HELP
	if ($admin <> 'plugin_main') {
		$o.=plugin_admin_common($action,$admin,$plugin);
	}
	
	// KERNEL (MAIN)
	if ($admin == 'plugin_main') {
		$o .= SayHello($plugin_cf['simpleMultiUser']['my_name']);
		$o .= '<br /><br />';
		$o .= '<a href="'.$sn.'?&'.$plugin.'&admin=plugin_myownpage">'.$plugin_tx['simpleMultiUser']['link_more'].'</a>';
	}
	
	
	
	
	// user defined page
	if ($admin == 'plugin_myownpage') {
		
		if ($action != 'plugin_myownaction') {
			$o .= '<br /><br />';
			$o .= $plugin_tx['simpleMultiUser']['text_myownpage'];
			$o .= '<br /><br />';
			$o .= '<a href="'.$sn.'?&'.$plugin.'&admin=plugin_myownpage&action=plugin_myownaction">'.$plugin_tx['simpleMultiUser']['link_add_tab'].'</a>';
		}
		
		if ($action == 'plugin_myownaction') {
			$style=ARRAY();
			$style['row'] = 'style="width: 100%; border 1px steelblue;"';
			// Add a new row to the admin panel (you may use your own CSS)
			PluginMenu('ROW', '', '', '', $style);

			$style=ARRAY();
			$style['tab'] = 'style="background-color: white;"';
			$style['link'] = 'style="border 1px steelblue;"';
			// Add a new tab to the new row in admin panel (you may use your own CSS)
			PluginMenu('TAB', $sn.'?&'.$plugin.'&admin=plugin_myownsaveform', '', $plugin_tx['simpleMultiUser']['tab_myowntab'], $style);

			$style=ARRAY();
			$style['data'] = 'style="background-color: black; color: white;"';
			// Add a new tab (no link, only text!) to the new row in admin panel (you may use your own CSS)
			PluginMenu('DATA', '', '', 'abcdef', $style);
			
			// Finally add the menu to your own content
			// Normally, the menu is on top of all your content.
			// So the first thing to add to your content is the new menu row.
			$o .= PluginMenu('SHOW');
			
			$o .= '<br /><br />';
			$o .= $plugin_tx['simpleMultiUser']['text_myownpage2'];
		}
	} // if ($admin == 'plugin_myownpage')
		
		
		
		
	if ($admin == 'plugin_myownsaveform') {

		$file_myowntext = $pth['folder']['plugin_content'].'myowntext.txt';
		$file_myownconfig = $pth['folder']['plugin_content'].'myownconfig.php';

		$url_formtype_config = $sn.'?&'.$plugin.'&admin=plugin_myownsaveform&plugin_formtype=config';
		$url_formtype_text = $sn.'?&'.$plugin.'&admin=plugin_myownsaveform&plugin_formtype=text';

		$style=ARRAY();
		$style['row'] = 'style="width: 100%; border 1px steelblue;"';
		PluginMenu('ROW', '', '', '', $style);
		PluginMenu('TAB', $url_formtype_config, '', $plugin_tx['simpleMultiUser']['link_form_config'], $style);
		PluginMenu('TAB', $url_formtype_text, '', $plugin_tx['simpleMultiUser']['link_form_text'], $style);
		$o .= PluginMenu('SHOW');
						
		$o .= '<br /><br />';
		$o .= '<a href="'.$url_formtype_config.'">'.$plugin_tx['simpleMultiUser']['link_form_config'].'</a><br />';
		$o .= '<a href="'.$url_formtype_text.'">'.$plugin_tx['simpleMultiUser']['link_form_text'].'</a><br />';
		$o .= '<br /><br />';


		// show form
		if (!isset($_POST['plugin_submit'])) {

			if (isset($_GET['plugin_formtype'])) {

				//$hint = $some_var;
				$form = ARRAY();
				$style = ARRAY();

				$style['form']='class="plugineditform"';
				$style['divcaption']='class="plugineditcaption"';
				$style['submit']='class="submit"';
			
				$form['method'] = 'POST';
				//$form['value_admin'] = $admin;
				$form['value_submit'] = ucfirst($tx['action']['save']);
				$form['caption'] = ucfirst(str_replace("_", " ", $plugin));
				$form['errormsg'] = $error_msg;
		
				if ($_GET['plugin_formtype'] == 'text') {
					$data = rmnl(rf($file_myowntext));
					$form['action'] = $url_formtype_text;
					$form['type'] = 'TEXT';
					//$form['value_action'] = 'plugin_textsave';
					$form['textarea_name'] = 'plugin_text';
					$style['div']='class="plugintext"';
					$style['textarea']='class="plugintextarea"';
				}
								
				if ($_GET['plugin_formtype'] == 'config') {
					@require_once($file_myownconfig);
					$data = $myownconfig;
					$form['type'] = 'CONFIG';
					//$form['value_action'] = 'plugin_save';
					$style['div']='class="pluginedit"';
					$style['table']='class="pluginedittable"';
					$style['tdcaption']='class="plugincfcap"';
					$style['tdhint']='class="plugincfhint"';
					$style['tdconfig']='class="plugincf"';
					$style['input']='class="plugininput"';
					$style['inputmax']='class="plugininputmax"';
				}
				$o .= PluginSaveForm($form, $style, $data, $hint); 
			} // if (isset($_GET['plugin_formtype']))
		} // if (!isset($_POST['plugin_submit']))


		// Save form data
		if (isset($_POST['plugin_submit'])) {

			if ($_GET['plugin_formtype'] == 'config') {
				$config_data=ARRAY();
				foreach ($_POST as $key => $value) {
					global $pluginloader_cfg;
					if (substr_count($key, $pluginloader_cfg['form_namespace']) > 0) {
						$own_key = str_replace($pluginloader_cfg['form_namespace'], '', $key);
						$config_data[$own_key] = $value;
					}
				}
				$save_data = PluginPrepareConfigData('myownconfig', $config_data);
				$is_saved = PluginWriteFile($file_myownconfig, $save_data);
				$o .= '<br /><b>'.$is_saved['msg'].'</b><br />';
			}
			
			if ($_GET['plugin_formtype'] == 'text') {
				$text_data = $_POST['plugin_text'];
				$save_data = PluginPrepareTextData($text_data);
				$is_saved = PluginWriteFile($file_myowntext, $save_data);
				$o .= '<br /><b>'.$is_saved['msg'].'</b><br />';
			}
		
		} // if (isset($_POST['plugin_submit']))

	} // if ($admin == 'plugin_myownsaveform')

} // if plugin

?>